PTlink IRCD and Services Denial of Service Vulnerability

PTlink IRCd and Services are freely available IRC Software packages for hosting IRC servers, and are maintained by the PTlink Coders Team. A condition exists that could allow the Denial of Service to legitimate users.

The problem exists in the handling of modes by both the IRC Services and IRC daemon. A user connected to an IRC server running the PTlink IRCd and Services can set themselves mode +owgscfxeb, then issue an operator command of any type which will result in the crashing of the IRC Services. The IRCd is then vulnerable to Denial of Service by issuing an IRC Operator command of any type, and a user setting themselves mode +owgscfxeb following the Operator command. This vulnerability makes it possible for a malicious user to crash the IRC Services and daemon, creating a total Denial of Service.


 

Privacy Statement
Copyright 2010, SecurityFocus